#
# Copyright (c) 2016 Intel Corporation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

menu "Link layer options"

config NET_L2_DUMMY
	bool "Enable dummy l2 layer"
	default n
	default y if !NET_L2_ETHERNET && NET_SLIP_TUN
	help
	Add a dummy L2 layer driver, usually in case you need SLIP in
	TUN mode.

config NET_L2_ETHERNET
	bool "Enable ethernet support"
	default n
	help
	Add support for Ethernet, enabling selecting relevant hardware drivers.
	If NET_SLIP and SLIP_TAP are selected, NET_L2_ETHERNET will enable to
	fully simulate ethernet through SLIP.

config NET_DEBUG_L2_ETHERNET
	bool "Debug Ethernet L2 layer"
	default n
	depends on NET_LOG
	help
	Enables Ethernet L2 output debug messages

config NET_L2_BLUETOOTH
	bool "Enable Bluetooth support"
	select BLUETOOTH
	select BLUETOOTH_PERIPHERAL
	select BLUETOOTH_SMP
	select BLUETOOTH_L2CAP_DYNAMIC_CHANNEL
	select NET_6LO
	default n
	help
	  Enable Bluetooth driver that send and receives IPv6 packets,
	  does header compression on it and writes it to the
	  Bluetooth stack via L2CAP channel.

config NET_L2_BLUETOOTH_SEC_LEVEL
	int "Security level of Bluetooth Link"
	depends on NET_L2_BLUETOOTH
	default 1
	range 1 4
	help
	Security level of Bluetooth Link:
	Level 1 (BT_SECURITY_LOW) = No encryption or authentication required
	Level 2 (BT_SECURITY_MEDIUM) = Only encryption required
	Level 3 (BT_SECURITY_HIGH) = Encryption and authentication required
	Level 4 (BT_SECURITY_FIPS) = Secure connection required

config NET_DEBUG_L2_BLUETOOTH
	bool "Debug Bluetooth L2 layer"
	default n
	depends on NET_LOG
	depends on NET_L2_BLUETOOTH
	help
	Enables Bluetooth L2 output debug messages

source "net/yaip/l2/ieee802154/Kconfig"

config NET_ARP
	bool "Enable ARP"
	default y
	depends on NET_IPV4 && NET_L2_ETHERNET
	help
	Enable ARP support. This is necessary on hardware that requires it to
	get IPv4 working (like Ethernet devices).

config NET_ARP_TABLE_SIZE
	int "Number of entries in ARP table."
	depends on NET_ARP
	default 2
	help
	Each entry in the ARP table consumes 22 bytes of memory.

config NET_DEBUG_ARP
	bool "Debug IPv4 ARP"
	depends on NET_ARP && NET_LOG
	default n
	help
	Enables core ARP code part to output debug messages

endmenu
